/* Program Striphi -- Utility to replace high ASCII characters with asterisk

   Version 1.0
   15 January 1989

   written by Bryan Carter, Millburn, NJ 07041 (201-376-5296)

   out of frustration because my printer (Panasonic Laser - great in all other
   respects) will not print high (over ASCII 127) IBM character set in
   compressed Landscape mode - needed if you use 4PRINT documentation utility.

   based on the concept of Terry Johnson's UTF Text Formatter

   this program is placed in the Public Domain without any warranties
   expressed or implied.  No payment of any sort is asked - nor should any
   be charged!! - my ego would be greatly enhanced if anybody else actually
   uses the utility - drop me a note on Compuserve (71116,1131) or Genie
   (B.W.CARTER)

   happy hacking!

*/

#include <stdio.h>

main (int argc, char *argv[])
{

  FILE  *f;
  int  ch,temp;           /* The file character(s) */

  if (argc == 1)  /* if no command line parameters, just print help message and exit */
  {
    printf(
    "Striphi - Utility to replace ASCII characters > 127 with asterisks\n\n"
    "  Version 1.0  15 January 1989\n"
    "  Usage is Striphi <textfile> [ > filename ]\n"
    "  Output will be to the console if you omit [ > filename ]\n"
    "  Do not forget to use DOS redirection symbol > before output filename"
    "\n");
    return;
  }

  f = fopen(argv[1],"r");                /* check for valid filename */
  if (f == NULL)
  {
    printf("Cannot open %s\n",argv[1]);
    return;
  }

  else
  {
    while((ch = getc(f)) != EOF)
    {
      if(ch > 127)         /* if above ASCII 127 replace with asterisk */
        temp = 42;        /* ASCII 42 is * - change to whatever you like */
      else
        temp = ch;      /* if not, leave alone */
      putchar(temp);      /* output character to chosen device */
    }
    fclose(f);
  }
  return;
}
